listen:
  hostname: 'localhost'
  port: 3233

webserver:
  https: false
  hostname: 'localhost'
  port: 3233

database:
  hostname: 'localhost'
  port: 5432
  name: 'peertube_plugin_index'
  username: 'peertube'
  password: 'peertube'

log:
  level: 'debug' # debug/info/warning/error

instances-index:
  # Contains `registeredPlugins` and `registeredThemes` keys to sort so the plugin index correctly sort "trending" plugins
  stats-url: 'https://instances.joinpeertube.org/api/v1/instances/stats'

# Set "official" attribute to true for these plugins
official-plugins:
  npm-name:
    - 'peertube-theme-dark'
    - 'peertube-plugin-matomo'
    - 'peertube-plugin-auth-ldap'
    - 'peertube-plugin-auto-mute'
    - 'peertube-plugin-auth-openid-connect'
    - 'peertube-plugin-auth-saml2'
    - 'peertube-plugin-auto-block-videos'
    - 'peertube-plugin-video-annotation'
    - 'peertube-plugin-transcoding-profile-debug'
    - 'peertube-plugin-transcoding-custom-quality'

# Set "recommended" attribute to true for these plugins
recommended-plugins:
  npm-name:
    - 'peertube-plugin-livechat'
